GDPR
Endpoints for GDPR
Endpoints for GDPR
GET/api/v1/gdpr/self-assessment
Authentication: Bearer token (JWT)
idnumberRequiredversionnumberRequiredstatusstringRequired"not_started", "in_progress", "completed"choicesobject with string valuesRequiredcustomerWindowMonthsnumberRequiredcompletedAtstring (date-time)Required{
"id": 0,
"version": 0,
"status": "not_started",
"choices": {
"property1": "legitimate_interests",
"property2": "legitimate_interests"
},
"customerWindowMonths": 0,
"completedAt": "2019-08-24T14:15:22Z",
"lastReviewedByName": "string",
"lastReviewedByRole": "string",
"lastReviewedAt": "2019-08-24T14:15:22Z"
}unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/gdpr/self-assessment \
--header 'Authorization: Bearer <token>'PUT/api/v1/gdpr/self-assessment
Authentication: Bearer token (JWT)
application/jsonchoicesobject with string valuesRequiredcustomerWindowMonthsnumberOptionalGET/api/v1/gdpr/self-assessment/customer-window-counts
Authentication: Bearer token (JWT)
GET/api/v1/gdpr/self-assessment/history
Authentication: Bearer token (JWT)
pagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptional"createdAt"Allowed values: "createdAt", "id", "updatedAt"orderDirectionstringGET/api/v1/gdpr/documents/self-assessment
Authentication: Bearer token (JWT)
This response has no body.
GET/api/v1/gdpr/documents/dpa
Authentication: Bearer token (JWT)
This response has no body.
unauthorized
lastReviewedByNamestringRequiredlastReviewedByRolestringRequiredlastReviewedAtstring (date-time)RequiredfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}03612{
"choices": {
"email-mkt": "consent",
"podcast": "legitimate_interests"
},
"customerWindowMonths": 3
}Same fields as Get the current tenant's GDPR self-assessment (200).
{
"id": 0,
"version": 0,
"status": "not_started",
"choices": {
"property1": "legitimate_interests",
"property2": "legitimate_interests"
},
"customerWindowMonths": 0,
"completedAt": "2019-08-24T14:15:22Z",
"lastReviewedByName": "string",
"lastReviewedByRole": "string",
"lastReviewedAt": "2019-08-24T14:15:22Z"
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get the current tenant's GDPR self-assessment (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/gdpr/self-assessment \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"choices": {
"email-mkt": "consent",
"podcast": "legitimate_interests"
},
"customerWindowMonths": 3
}'windowsarray of GdprCustomerWindowCountDtoRequired2 fieldswindowswindowMonthsnumberRequired when parent is presentField path: windows[].windowMonths0, 3, 6, 12formerCustomersnumberRequired when parent is presentField path: windows[].formerCustomers{
"windows": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get the current tenant's GDPR self-assessment (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/gdpr/self-assessment/customer-window-counts \
--header 'Authorization: Bearer <token>'"desc"Allowed values: "asc", "desc"itemsarray of GdprHistoryItemResponseDtoRequired6 fieldsitemsidnumberRequired when parent is presentField path: items[].idactionstringRequired when parent is presentField path: items[].action"started", "choice_changed", "window_changed", "completed", "reopened", "downloaded"actorNamestringRequired when parent is presentField path: items[].actorNameactorRolestringRequired when parent is presentField path: items[].actorRoledetailstringRequired when parent is presentField path: items[].detailcreatedAtstring (date-time)Required when parent is presentField path: items[].createdAtmetaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get the current tenant's GDPR self-assessment (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/gdpr/self-assessment/history \
--header 'Authorization: Bearer <token>'unauthorized
This response has no body.
forbiddenResource
Same fields as Get the current tenant's GDPR self-assessment (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/gdpr/documents/self-assessment \
--header 'Authorization: Bearer <token>'This response has no body.
forbiddenResource
Same fields as Get the current tenant's GDPR self-assessment (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/gdpr/documents/dpa \
--header 'Authorization: Bearer <token>'